Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkIndividualSynonymsElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<IndividualSynonyms>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkIndividualSynonymsElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<IndividualSynonyms>, OWLlinkResponseElementHandler<IndividualSynonyms>

    public class OWLlinkIndividualSynonymsElementHandler

extends AbstractOWLlinkKBResponseElementHandler<IndividualSynonyms>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 24.11.2009

Field Summary
`protected java.util.Set<OWLIndividual>` | `individuals`

Constructor Summary
`OWLlinkIndividualSynonymsElementHandler(OWLXMLParserHandler handler)`

Method Summary
`IndividualSynonyms` | `getOWLLinkObject()`
`void` | `handleChild(OWLAnonymousIndividualElementHandler handler)`
`void` | `handleChild(OWLIndividualElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### individuals

    protected java.util.Set<OWLIndividual> individuals

Constructor Detail

### OWLlinkIndividualSynonymsElementHandler

    public OWLlinkIndividualSynonymsElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<IndividualSynonyms>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLIndividualElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<IndividualSynonyms>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<IndividualSynonyms>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLAnonymousIndividualElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<IndividualSynonyms>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<IndividualSynonyms>`
  Throws:
    `OWLXMLParserException`

### getOWLLinkObject

    public IndividualSynonyms getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<IndividualSynonyms>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<IndividualSynonyms>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD